# include "Ximage.h"

int Reconfig (XEvent *event) {

  int i;

  if ((graphic.dx == event[0].xconfigure.width) &&
      (graphic.dy == event[0].xconfigure.height)) 
    return (TRUE);

  graphic.dx = MAX(event[0].xconfigure.width,  MIN_WIDTH); 
  graphic.dy = MAX(event[0].xconfigure.height, MIN_HEIGHT);

  for (i = 0; i < Nsection; i++) {
    PositionPicture (&section[i]);
  }

  XClearWindow (graphic.display, graphic.window);

  Refresh (1);

  return (TRUE);

}
